/* ==========================================
   J-Net Homepage
   layout.css
========================================== */

:root{
    --bg1:#ff7f72;
    --bg2:#ff6f86;
    --bg3:#d24aa8;

    --header-height:88px;
    --footer-height:170px;
}

*,
*::before,
*::after{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

html,
body{
    width:100%;
    min-height:100%;
}

body{
    font-family:"Segoe UI",sans-serif;
    color:#ffffff;

    overflow-x:hidden;
    overflow-y:auto;
}

.background-gradient{

    position:fixed;
    inset:0;
    z-index:-1;

    background:
        linear-gradient(
            90deg,
            var(--bg1),
            var(--bg2),
            var(--bg3)
        );

    background-size:200% 200%;

    animation:gradientShift 18s ease infinite;

}

.site-container{

    min-height:110vh;

    display:grid;

    grid-template-rows:

        var(--header-height)
        1fr
        var(--footer-height);

}

img{
    max-width:100%;
    display:block;
}

a{
    color:inherit;
    text-decoration:none;
}

@keyframes gradientShift{

    0%{
        background-position:0% 50%;
    }

    50%{
        background-position:100% 50%;
    }

    100%{
        background-position:0% 50%;
    }

}